All of lore.kernel.org
 help / color / mirror / Atom feed
From: Dario Faggioli <dario.faggioli@citrix.com>
To: xen-devel@lists.xen.org
Cc: Ian.Jackson@citrix.com, Wei Liu <wei.liu2@citrix.com>,
	Ian.Campbell@citrix.com,
	Stefano Stabellini <stefano.stabellini@eu.citrix.com>
Subject: [PATCH RFC 1/9] mg-unixbench-download: new script for downloading the unixbench archive
Date: Thu, 26 Jun 2014 15:02:21 +0200	[thread overview]
Message-ID: <20140626130221.20110.31084.stgit@Solace> (raw)
In-Reply-To: <20140626124540.20110.24159.stgit@Solace>

The script fetches it, and saves it in c{Images}/benchs.

Default values for URL and actual filename are in ap-common, and
can be overridden as usual.

 XXX: this may or may not be something suitable to do in a
      function in cri-common, called by ap-fetch-version. It's
      not a git tree, and it's not something that changes much
      so I think it's fine like it is in this patch. If it is
      not, advise otherwise and I'll cope.

igned-off-by: Dario Faggioli <dario.faggioli@citrix.com>
---
 ap-common             |    4 ++++
 mg-unixbench-download |   34 ++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)
 create mode 100755 mg-unixbench-download

diff --git a/ap-common b/ap-common
index ea4b04c..000ca69 100644
--- a/ap-common
+++ b/ap-common
@@ -136,3 +136,7 @@ info_linux_tree () {
 
 	return 0
 }
+
+# UnixBench. By default we try to grab version 5.1.3
+: ${REMOTEFILE_UNIXBENCH:=http://byte-unixbench.googlecode.com/files/unixbench-5.1.3.tgz}
+: ${LOCALFILE_UNIXBENCH:=unixbench.tgz}
diff --git a/mg-unixbench-download b/mg-unixbench-download
new file mode 100755
index 0000000..891b0b1
--- /dev/null
+++ b/mg-unixbench-download
@@ -0,0 +1,34 @@
+#!/bin/bash
+# This is part of "osstest", an automated testing framework for Xen.
+# Copyright (C) 2009-2013 Citrix Inc.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+if [ -f standalone.config ] ; then
+    . standalone.config
+fi
+
+. cri-getconfig
+. ap-common
+
+fail () { echo >&2 "$0: $1"; exit 1; }
+
+images=`getconfig Images`;
+dstdir="${images}/benchs"
+mkdir -p $dstdir
+
+wget ${REMOTEFILE_UNIXBENCH} -O ${dstdir}/${LOCALFILE_UNIXBENCH} || \
+    fail "failed downloading the benchmark"

  reply	other threads:[~2014-06-26 13:02 UTC|newest]

Thread overview: 21+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2014-06-26 13:02 [PATCH RFC 0/9] Running benchmarks via OSSTest Dario Faggioli
2014-06-26 13:02 ` Dario Faggioli [this message]
2014-07-16 15:02   ` [PATCH RFC 1/9] mg-unixbench-download: new script for downloading the unixbench archive Ian Campbell
2014-07-16 16:08     ` Dario Faggioli
2014-06-26 13:02 ` [PATCH RFC 2/9] ts-unixbench-prep: prep the environment for running unixbench Dario Faggioli
2014-07-16 15:09   ` Ian Campbell
2014-07-16 15:11     ` Ian Jackson
2014-07-16 15:57     ` Dario Faggioli
2014-07-16 16:07     ` Dario Faggioli
2014-06-26 13:02 ` [PATCH RFC 3/9] ts-unixbench-run: kick off the benchmark on the target Dario Faggioli
2014-06-26 13:02 ` [PATCH RFC 4/9] ts-unixbench-reslts: for retrieving the results Dario Faggioli
2014-07-16 15:11   ` Ian Campbell
2014-07-16 15:58     ` Dario Faggioli
2014-06-26 13:02 ` [PATCH RFC 5/9] sg-run-job: new recipe for a unixbench job Dario Faggioli
2014-06-26 13:03 ` [PATCH RFC 6/9] make-bench-flight: to create a benchmarking flight Dario Faggioli
2014-06-26 13:03 ` [PATCH RFC 7/9] make-flight: introduce a new -t option Dario Faggioli
2014-07-16 15:13   ` Ian Campbell
2014-07-16 15:14     ` Dario Faggioli
2014-06-26 13:03 ` [PATCH RFC 8/9] mg-unixbench-download: make it generic Dario Faggioli
2014-06-26 13:03 ` [PATCH RFC 9/9] ts-unixbench-prep: " Dario Faggioli
2014-06-27  9:40   ` Dario Faggioli

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20140626130221.20110.31084.stgit@Solace \
    --to=dario.faggioli@citrix.com \
    --cc=Ian.Campbell@citrix.com \
    --cc=Ian.Jackson@citrix.com \
    --cc=stefano.stabellini@eu.citrix.com \
    --cc=wei.liu2@citrix.com \
    --cc=xen-devel@lists.xen.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.